public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/portage:master commit in: lib/portage/util/, bin/ebuild-helpers/, bin/
@ 2022-10-18  0:31 Sam James
  0 siblings, 0 replies; only message in thread
From: Sam James @ 2022-10-18  0:31 UTC (permalink / raw
  To: gentoo-commits

commit:     800e09a4a1a630548ea8316e5c906c6f48af3105
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 18 00:11:24 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 00:14:25 2022 +0000
URL:        https://gitweb.gentoo.org/proj/portage.git/commit/?id=800e09a4

info: support more info compression suffixes

Bug: https://bugs.gentoo.org/757525
Signed-off-by: Sam James <sam <AT> gentoo.org>

 bin/ebuild-helpers/prepinfo     | 6 +++---
 bin/misc-functions.sh           | 2 +-
 lib/portage/util/_info_files.py | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/bin/ebuild-helpers/prepinfo b/bin/ebuild-helpers/prepinfo
index 9e509e8ca..4d200d0d3 100755
--- a/bin/ebuild-helpers/prepinfo
+++ b/bin/ebuild-helpers/prepinfo
@@ -1,10 +1,10 @@
 #!/usr/bin/env bash
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 source "${PORTAGE_BIN_PATH}"/isolated-functions.sh || exit 1
 
-if ! ___eapi_has_prefix_variables; then
+if ! ___eapi_has_prefix_variables ; then
 	ED=${D}
 fi
 
@@ -32,7 +32,7 @@ find "${ED%/}/${infodir#/}" -type d -print0 | while read -r -d $'\0' x ; do
 		[[ -e ${f} ]] && continue 2
 	done
 
-	rm -f "${x}"/dir{,.info}{,.gz,.bz2}
+	rm -f "${x}"/dir{,.info}{,.gz,.bz2,.xz,.lz,.zst,.lzma,.lz4}
 done
 
 exit 0

diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 170e60d1c..2fa61cf37 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -253,7 +253,7 @@ install_qa_check() {
 	fi
 
 	# Portage regenerates this on the installed system.
-	rm -f "${ED%/}"/usr/share/info/dir{,.gz,.bz2} || die "rm failed!"
+	rm -f "${ED%/}"/usr/share/info/dir{,.gz,.bz2,.xz,.lz,.zst,.lzma,.lz4} || die "rm failed!"
 }
 
 __dyn_instprep() {

diff --git a/lib/portage/util/_info_files.py b/lib/portage/util/_info_files.py
index 528b273d9..4cea4f657 100644
--- a/lib/portage/util/_info_files.py
+++ b/lib/portage/util/_info_files.py
@@ -36,7 +36,7 @@ def chk_updated_info_files(root, infodirs, prev_mtimes):
             if portage.util.noiselimit >= 0:
                 out.einfo("Regenerating GNU info directory index...")
 
-            dir_extensions = ("", ".gz", ".bz2")
+            dir_extensions = ("", ".gz", ".bz2", ".xz", ".lz", ".lz4", ".zst", ".lzma")
             icount = 0
             badcount = 0
             errmsg = ""


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2022-10-18  0:31 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-10-18  0:31 [gentoo-commits] proj/portage:master commit in: lib/portage/util/, bin/ebuild-helpers/, bin/ Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox